Bug 836410 - SELinux is preventing /usr/bin/cp from 'create' accesses on the file All_Regions.ini.
SELinux is preventing /usr/bin/cp from 'create' accesses on the file All_Regi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:71fb1970848c4a0384f66065f08...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 21:33 EDT by Jerry Amundson
Modified: 2012-10-17 04:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2012-06-28 21:33:46 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.3-1.fc17.i686
time:           Thu 28 Jun 2012 08:33:14 PM CDT

description:
:SELinux is preventing /usr/bin/cp from 'create' accesses on the file All_Regions.ini.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that cp should be allowed create access on the All_Regions.ini file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep cp /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                All_Regions.ini [ file ]
:Source                        cp
:Source Path                   /usr/bin/cp
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-132.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.3-1.fc17.i686 #1 SMP Mon Jun 18
:                              20:52:37 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Thu 28 Jun 2012 08:24:57 PM CDT
:Last Seen                     Thu 28 Jun 2012 08:24:57 PM CDT
:Local ID                      7ef1f360-9f31-48cf-a74b-40d7b830af5d
:
:Raw Audit Messages
:type=AVC msg=audit(1340933097.300:1519): avc:  denied  { create } for  pid=6885 comm="wfica" name="All_Regions.ini" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1340933097.300:1519): arch=i386 syscall=open per=400000 success=no exit=EACCES a0=bfe4a4f0 a1=241 a2=1b6 a3=944b7a0 items=0 ppid=6883 pid=6885 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=165 comm=wfica exe=/usr/lib/ICAClient/wfica subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: cp,mozilla_plugin_t,user_home_dir_t,file,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-29 02:12:30 EDT
Is this file created in the home top directory?

/home/user/All_Regions.ini

?

setenforce 0

re-test and locate this file

ls -Z PATHO/All_Regions.ini
setenforce 1

Note You need to log in before you can comment on or make changes to this bug.